Index: svn/src/southbridge/amd/sb700/sb700_lpc.c
===================================================================
--- svn.orig/src/southbridge/amd/sb700/sb700_lpc.c
+++ svn/src/southbridge/amd/sb700/sb700_lpc.c
@@ -142,7 +142,7 @@ static void sb700_lpc_enable_childrens_r
 						continue;
 					base = res->base;
 					end = resource_end(res);
-					printk(BIOS_DEBUG, "sb700 lpc decode:%s, base=0x%08x, end=0x%08x\n",
+					printk(DEBUG, "sb700 lpc decode:%s, base=0x%08x, end=0x%08x\n",
 					     dev_path(child), base, end);
 					switch (base) {
 					case 0x60:	/*  KB */
Index: svn/src/southbridge/amd/sb700/sb700_sata.c
===================================================================
--- svn.orig/src/southbridge/amd/sb700/sb700_sata.c
+++ svn/src/southbridge/amd/sb700/sb700_sata.c
@@ -34,22 +34,22 @@ static int sata_drive_detect(int portnum
 	while (byte = inb(iobar + 0x6), byte2 = inb(iobar + 0x7),
 		(byte != (0xA0 + 0x10 * (portnum % 2))) ||
 		((byte2 & 0x88) != 0)) {
-		printk(BIOS_SPEW, "0x6=%x, 0x7=%x\n", byte, byte2);
+		printk(SPEW, "0x6=%x, 0x7=%x\n", byte, byte2);
 		if (byte != (0xA0 + 0x10 * (portnum % 2))) {
 			/* This will happen at the first iteration of this loop
 			 * if the first SATA port is unpopulated and the
 			 * second SATA port is poulated.
 			 */
-			printk(BIOS_DEBUG, "drive no longer selected after %i ms, "
+			printk(DEBUG, "drive no longer selected after %i ms, "
 				"retrying init\n", i * 10);
 			return 1;
 		} else
-			printk(BIOS_SPEW, "drive detection not yet completed, "
+			printk(SPEW, "drive detection not yet completed, "
 				"waiting...\n");
 		mdelay(10);
 		i++;
 	}
-	printk(BIOS_SPEW, "drive detection done after %i ms\n", i * 10);
+	printk(SPEW, "drive detection done after %i ms\n", i * 10);
 	return 0;
 }
 
@@ -96,12 +96,12 @@ static void sata_init(struct device *dev
 	sata_bar3 = pci_read_config16(dev, 0x1C) & ~0x3;
 	sata_bar4 = pci_read_config16(dev, 0x20) & ~0xf;
 
-	printk(BIOS_SPEW, "sata_bar0=%x\n", sata_bar0);	/* 3030 */
-	printk(BIOS_SPEW, "sata_bar1=%x\n", sata_bar1);	/* 3070 */
-	printk(BIOS_SPEW, "sata_bar2=%x\n", sata_bar2);	/* 3040 */
-	printk(BIOS_SPEW, "sata_bar3=%x\n", sata_bar3);	/* 3080 */
-	printk(BIOS_SPEW, "sata_bar4=%x\n", sata_bar4);	/* 3000 */
-	printk(BIOS_SPEW, "sata_bar5=%x\n", sata_bar5);	/* e0309000 */
+	printk(SPEW, "sata_bar0=%x\n", sata_bar0);	/* 3030 */
+	printk(SPEW, "sata_bar1=%x\n", sata_bar1);	/* 3070 */
+	printk(SPEW, "sata_bar2=%x\n", sata_bar2);	/* 3040 */
+	printk(SPEW, "sata_bar3=%x\n", sata_bar3);	/* 3080 */
+	printk(SPEW, "sata_bar4=%x\n", sata_bar4);	/* 3000 */
+	printk(SPEW, "sata_bar5=%x\n", sata_bar5);	/* e0309000 */
 
 	/* disable combined mode */
 	byte = pci_read_config8(sm_dev, 0xAD);
@@ -199,12 +199,12 @@ static void sata_init(struct device *dev
 
 	for (i = 0; i < 4; i++) {
 		byte = read8(sata_bar5 + 0x128 + 0x80 * i);
-		printk(BIOS_SPEW, "SATA port %i status = %x\n", i, byte);
+		printk(SPEW, "SATA port %i status = %x\n", i, byte);
 		byte &= 0xF;
 		if( byte == 0x1 ) {
 			/* If the drive status is 0x1 then we see it but we aren't talking to it. */
 			/* Try to do something about it. */
-			printk(BIOS_SPEW, "SATA device detected but not talking. Trying lower speed.\n");
+			printk(SPEW, "SATA device detected but not talking. Trying lower speed.\n");
 
 			/* Read in Port-N Serial ATA Control Register */
 			byte = read8(sata_bar5 + 0x12C + 0x80 * i);
@@ -225,7 +225,7 @@ static void sata_init(struct device *dev
 
 			/* Reread status */
 			byte = read8(sata_bar5 + 0x128 + 0x80 * i);
-			printk(BIOS_SPEW, "SATA port %i status = %x\n", i, byte);
+			printk(SPEW, "SATA port %i status = %x\n", i, byte);
 			byte &= 0xF;
 		}
 
@@ -234,13 +234,13 @@ static void sata_init(struct device *dev
 				if (!sata_drive_detect(i, ((i / 2) == 0) ? sata_bar0 : sata_bar2))
 					break;
 			}
-			printk(BIOS_DEBUG, "%s %s device is %sready after %i tries\n",
+			printk(DEBUG, "%s %s device is %sready after %i tries\n",
 					(i / 2) ? "Secondary" : "Primary",
 					(i % 2 ) ? "Slave" : "Master",
 					(j == 10) ? "not " : "",
 					(j == 10) ? j : j + 1);
 		} else {
-			printk(BIOS_DEBUG, "No %s %s SATA drive on Slot%i\n",
+			printk(DEBUG, "No %s %s SATA drive on Slot%i\n",
 					(i / 2) ? "Secondary" : "Primary",
 					(i % 2 ) ? "Slave" : "Master", i);
 		}
@@ -267,7 +267,7 @@ static void sata_init(struct device *dev
 	/* word = pm_ioread(0x28); */
 	/* byte = pm_ioread(0x29); */
 	/* word |= byte<<8; */
-	/* printk(BIOS_DEBUG, "AcpiGpe0Blk addr = %x\n", word); */
+	/* printk(DEBUG, "AcpiGpe0Blk addr = %x\n", word); */
 	/* write32(word, 0x80000000); */
 }
 
Index: svn/src/southbridge/amd/sb700/sb700_sm.c
===================================================================
--- svn.orig/src/southbridge/amd/sb700/sb700_sm.c
+++ svn/src/southbridge/amd/sb700/sb700_sm.c
@@ -54,7 +54,7 @@ static void sm_init(device_t dev)
 	u32 on;
 	u32 nmi_option;
 
-	printk(BIOS_INFO, "sm_init().\n");
+	printk(INFO, "sm_init().\n");
 
 	ioapic_base = pci_read_config32(dev, 0x74) & (0xffffffe0);	/* some like mem resource, but does not have  enable bit */
 	/* Don't rename APIC ID */
@@ -118,7 +118,7 @@ static void sm_init(device_t dev)
 	}
 	byte |= 1 << 2;
 	pm_iowrite(0x74, byte);
-	printk(BIOS_INFO, "set power %s after power fail\n", on ? "on" : "off");
+	printk(INFO, "set power %s after power fail\n", on ? "on" : "off");
 
 	byte = pm_ioread(0x68);
 	byte &= ~(1 << 1);
@@ -152,10 +152,10 @@ static void sm_init(device_t dev)
 	get_option(&nmi_option, "nmi");
 	if (nmi_option) {
 		byte &= ~(1 << 7);	/* set NMI */
-		printk(BIOS_INFO, "++++++++++set NMI+++++\n");
+		printk(INFO, "++++++++++set NMI+++++\n");
 	} else {
 		byte |= (1 << 7);	/* Can not mask NMI from PCI-E and NMI_NOW */
-		printk(BIOS_INFO, "++++++++++no set NMI+++++\n");
+		printk(INFO, "++++++++++no set NMI+++++\n");
 	}
 	byte &= ~(1 << 7);
 	if (byte != byte_old) {
@@ -217,7 +217,7 @@ static void sm_init(device_t dev)
 	byte &= ~(1 << 1);
 	pm_iowrite(0x59, byte);
 
-	printk(BIOS_INFO, "sm_init() end\n");
+	printk(INFO, "sm_init() end\n");
 
 	/* Enable NbSb virtual channel */
 	axcfg_reg(0x114, 0x3f << 1, 0 << 1);
Index: svn/src/southbridge/amd/sb700/sb700_smbus.c
===================================================================
--- svn.orig/src/southbridge/amd/sb700/sb700_smbus.c
+++ svn/src/southbridge/amd/sb700/sb700_smbus.c
@@ -196,7 +196,7 @@ static void alink_ab_indx(u32 reg_space,
 	tmp &= ~mask;
 	tmp |= val;
 
-	/* printk(BIOS_DEBUG, "about write %x, index=%x", tmp, (reg_space&0x3)<<30 | reg_addr); */
+	/* printk(DEBUG, "about write %x, index=%x", tmp, (reg_space&0x3)<<30 | reg_addr); */
 	outl((reg_space & 0x3) << 30 | reg_addr, AB_INDX);	/* probably we dont have to do it again. */
 	outl(tmp, AB_DATA);
 	reg_addr & 0x10000 ? outl(0, AB_INDX) : NULL;
Index: svn/src/southbridge/amd/sb700/sb700_usb.c
===================================================================
--- svn.orig/src/southbridge/amd/sb700/sb700_usb.c
+++ svn/src/southbridge/amd/sb700/sb700_usb.c
@@ -82,7 +82,7 @@ static void usb_init2(struct device *dev
 	/* pci_write_config32(dev, 0xf8, dword); */
 
 	usb2_bar0 = pci_read_config32(dev, 0x10) & ~0xFF;
-	printk(BIOS_INFO, "usb2_bar0=0x%x\n", usb2_bar0);
+	printk(INFO, "usb2_bar0=0x%x\n", usb2_bar0);
 
 	/* RPR6.4 Enables the USB PHY auto calibration resister to match 45ohm resistence */
 	dword = 0x00020F00;
@@ -163,7 +163,7 @@ static void usb_init2(struct device *dev
 		dword |= 1 << 8;
 		dword &= ~(1 << 27); /* 6.23 */
 	}
-	printk(BIOS_DEBUG, "rpr 6.23, final dword=%x\n", dword);
+	printk(DEBUG, "rpr 6.23, final dword=%x\n", dword);
 #endif
 }
 
Index: svn/src/southbridge/broadcom/bcm21000/bcm21000_pcie.c
===================================================================
--- svn.orig/src/southbridge/broadcom/bcm21000/bcm21000_pcie.c
+++ svn/src/southbridge/broadcom/bcm21000/bcm21000_pcie.c
@@ -33,7 +33,7 @@ static void pcie_init(struct device *dev
 	uint32_t dword;
 	uint32_t msicap;
 
-	printk(BIOS_DEBUG, "PCIE enable.... dev= %s\n",dev_path(dev));
+	printk(DEBUG, "PCIE enable.... dev= %s\n",dev_path(dev));
 
 	/* System error enable */
 	dword = pci_read_config32(dev, 0x04);
Index: svn/src/southbridge/broadcom/bcm5785/bcm5785_lpc.c
===================================================================
--- svn.orig/src/southbridge/broadcom/bcm5785/bcm5785_lpc.c
+++ svn/src/southbridge/broadcom/bcm5785/bcm5785_lpc.c
@@ -86,7 +86,7 @@ static void bcm5785_lpc_enable_childrens
 					if(!(res->flags & IORESOURCE_IO)) continue;
 		        	        base = res->base;
                 			end = resource_end(res);
-					printk(BIOS_DEBUG, "bcm5785lpc decode:%s, base=0x%08lx, end=0x%08lx\n",dev_path(child),base, end);
+					printk(DEBUG, "bcm5785lpc decode:%s, base=0x%08lx, end=0x%08lx\n",dev_path(child),base, end);
 					switch(base) {
 					case 0x60: //KBC
 					case 0x64:
Index: svn/src/southbridge/broadcom/bcm5785/bcm5785_sata.c
===================================================================
--- svn.orig/src/southbridge/broadcom/bcm5785/bcm5785_sata.c
+++ svn/src/southbridge/broadcom/bcm5785/bcm5785_sata.c
@@ -49,17 +49,17 @@ static void sata_init(struct device *dev
 
 		//init PHY
 
-		printk(BIOS_DEBUG, "init PHY...\n");
+		printk(DEBUG, "init PHY...\n");
 		for(i=0; i<4; i++) {
 			mmio = base + 0x100 * i; 
 			byte = read8(mmio + 0x40);
-			printk(BIOS_DEBUG, "port %d PHY status = %02x\n", i, byte);
+			printk(DEBUG, "port %d PHY status = %02x\n", i, byte);
 			if(byte & 0x4) {// bit 2 is set
 				byte = read8(mmio+0x48);
 				write8(mmio + 0x48, byte | 1);
 				write8(mmio + 0x48, byte & (~1));
 	                        byte = read8(mmio + 0x40);
-	                        printk(BIOS_DEBUG, "after reset port %d PHY status = %02x\n", i, byte);
+	                        printk(DEBUG, "after reset port %d PHY status = %02x\n", i, byte);
 			}
 		}
 		
Index: svn/src/southbridge/intel/esb6300/esb6300_ehci.c
===================================================================
--- svn.orig/src/southbridge/intel/esb6300/esb6300_ehci.c
+++ svn/src/southbridge/intel/esb6300/esb6300_ehci.c
@@ -9,12 +9,12 @@ static void ehci_init(struct device *dev
 {
 	uint32_t cmd;
 
-	printk(BIOS_DEBUG, "EHCI: Setting up controller.. ");
+	printk(DEBUG, "EHCI: Setting up controller.. ");
 	cmd = pci_read_config32(dev, PCI_COMMAND);
 	pci_write_config32(dev, PCI_COMMAND, 
 		cmd | PCI_COMMAND_MASTER);
 
-	printk(BIOS_DEBUG, "done.\n");
+	printk(DEBUG, "done.\n");
 }
 
 static void ehci_set_subsystem(device_t dev, unsigned vendor, unsigned device)
Index: svn/src/southbridge/intel/esb6300/esb6300_ide.c
===================================================================
--- svn.orig/src/southbridge/intel/esb6300/esb6300_ide.c
+++ svn/src/southbridge/intel/esb6300/esb6300_ide.c
@@ -26,7 +26,7 @@ static void ide_init(struct device *dev)
 	word |= (1 << 15);
 	pci_write_config16(dev, 0x42, word);
 #endif
-	printk(BIOS_DEBUG, "IDE Enabled\n");
+	printk(DEBUG, "IDE Enabled\n");
 }
 
 static void esb6300_ide_set_subsystem(device_t dev, unsigned vendor, unsigned device)
Index: svn/src/southbridge/intel/esb6300/esb6300_lpc.c
===================================================================
--- svn.orig/src/southbridge/intel/esb6300/esb6300_lpc.c
+++ svn/src/southbridge/intel/esb6300/esb6300_lpc.c
@@ -288,7 +288,7 @@ static void lpc_init(struct device *dev)
 		byte |= 1;
 	}
 	pci_write_config8(dev, 0xa4, byte);
-	printk(BIOS_INFO, "set power %s after power fail\n", pwr_on?"on":"off");
+	printk(INFO, "set power %s after power fail\n", pwr_on?"on":"off");
 
 	/* Set up the PIRQ */
 	esb6300_pirq_init(dev);
Index: svn/src/southbridge/intel/esb6300/esb6300_sata.c
===================================================================
--- svn.orig/src/southbridge/intel/esb6300/esb6300_sata.c
+++ svn/src/southbridge/intel/esb6300/esb6300_sata.c
@@ -13,7 +13,7 @@ static void sata_init(struct device *dev
 
 	/* Enable SATA devices */
 
-	printk(BIOS_DEBUG, "SATA init\n");
+	printk(DEBUG, "SATA init\n");
         /* SATA configuration */
         pci_write_config8(dev, 0x04, 0x07);
         pci_write_config8(dev, 0x09, 0x8f);
@@ -41,7 +41,7 @@ static void sata_init(struct device *dev
         pci_write_config16(dev, 0xa0, 0x0040);
         pci_write_config32(dev, 0xa4, 0x00220043);
                                                                                 
-	printk(BIOS_DEBUG, "SATA Enabled\n");
+	printk(DEBUG, "SATA Enabled\n");
 }
 
 static void esb6300_sata_set_subsystem(device_t dev, unsigned vendor, unsigned device)
Index: svn/src/southbridge/intel/esb6300/esb6300_uhci.c
===================================================================
--- svn.orig/src/southbridge/intel/esb6300/esb6300_uhci.c
+++ svn/src/southbridge/intel/esb6300/esb6300_uhci.c
@@ -10,13 +10,13 @@ static void uhci_init(struct device *dev
 	uint32_t cmd;
 
 #if 1
-	printk(BIOS_DEBUG, "UHCI: Setting up controller.. ");
+	printk(DEBUG, "UHCI: Setting up controller.. ");
 	cmd = pci_read_config32(dev, PCI_COMMAND);
 	pci_write_config32(dev, PCI_COMMAND, 
 		cmd | PCI_COMMAND_MASTER);
 
 
-	printk(BIOS_DEBUG, "done.\n");
+	printk(DEBUG, "done.\n");
 #endif
 
 }
Index: svn/src/southbridge/intel/i3100/i3100_lpc.c
===================================================================
--- svn.orig/src/southbridge/intel/i3100/i3100_lpc.c
+++ svn/src/southbridge/intel/i3100/i3100_lpc.c
@@ -232,7 +232,7 @@ static void i3100_power_options(device_t
   /* minimum asssertion is 1 to 2 RTCCLK */
   reg8 &= ~(1 << 3);	
   pci_write_config8(dev, GEN_PMCON_3, reg8);
-  printk(BIOS_INFO, "set power %s after power fail\n", pwr_on ? "on" : "off");  
+  printk(INFO, "set power %s after power fail\n", pwr_on ? "on" : "off");
 
   /* Set up NMI on errors. */
   reg8 = inb(0x61);
@@ -251,11 +251,11 @@ static void i3100_power_options(device_t
   get_option(&nmi_option, "nmi");
   if (nmi_option) {
     /* Set NMI. */
-    printk(BIOS_INFO, "NMI sources enabled.\n");
+    printk(INFO, "NMI sources enabled.\n");
     reg8 &= ~(1 << 7);	
   } else {
     /* Can't mask NMI from PCI-E and NMI_NOW */
-    printk(BIOS_INFO, "NMI sources disabled.\n");
+    printk(INFO, "NMI sources disabled.\n");
     reg8 |= ( 1 << 7);
   }
   outb(reg8, 0x70);
Index: svn/src/southbridge/intel/i3100/i3100_pciexp_portb.c
===================================================================
--- svn.orig/src/southbridge/intel/i3100/i3100_pciexp_portb.c
+++ svn/src/southbridge/intel/i3100/i3100_pciexp_portb.c
@@ -46,12 +46,12 @@ static unsigned int pcie_scan_bridge(str
 	int flag = 0;
 	do {
 		val = pci_read_config16(dev, PCIE_LSTS);
-		printk(BIOS_DEBUG, "pcie portb link status: %02x\n", val);
+		printk(DEBUG, "pcie portb link status: %02x\n", val);
 		if ((val & (1<<10)) && (!flag)) { /* training error */
 			ctl = pci_read_config16(dev, PCIE_LCTL);
 			pci_write_config16(dev, PCIE_LCTL, (ctl | (1<<5)));
 			val = pci_read_config16(dev, PCIE_LSTS);
-			printk(BIOS_DEBUG, "pcie portb reset link status: %02x\n", val);
+			printk(DEBUG, "pcie portb reset link status: %02x\n", val);
 			flag=1;
 			hard_reset();
 		}
Index: svn/src/southbridge/intel/i3100/i3100_sata.c
===================================================================
--- svn.orig/src/southbridge/intel/i3100/i3100_sata.c
+++ svn/src/southbridge/intel/i3100/i3100_sata.c
@@ -53,7 +53,7 @@ static void sata_init(struct device *dev
 	ahci = (pci_read_config8(dev, SATA_MAP) >> 6) & 0x03;
 
 	/* Enable SATA devices */
-	printk(BIOS_INFO, "SATA init (%s mode)\n", ahci ? "AHCI" : "Legacy");
+	printk(INFO, "SATA init (%s mode)\n", ahci ? "AHCI" : "Legacy");
 
 	if(ahci) {
 	  /* AHCI mode */
@@ -97,7 +97,7 @@ static void sata_init(struct device *dev
 	  pci_write_config8(dev, SATA_PCS + 1, 0x0f);
 	  
 	}
-	printk(BIOS_DEBUG, "SATA Enabled\n");
+	printk(DEBUG, "SATA Enabled\n");
 }
 
 static void sata_set_subsystem(device_t dev, unsigned vendor, unsigned device)
Index: svn/src/southbridge/intel/i82371eb/i82371eb_ide.c
===================================================================
--- svn.orig/src/southbridge/intel/i82371eb/i82371eb_ide.c
+++ svn/src/southbridge/intel/i82371eb/i82371eb_ide.c
@@ -48,14 +48,14 @@ static void ide_init_enable(struct devic
 	reg16 = pci_read_config16(dev, IDETIM_PRI);
 	reg16 = ONOFF(conf->ide0_enable, reg16, IDE_DECODE_ENABLE);
 	pci_write_config16(dev, IDETIM_PRI, reg16);
-	printk(BIOS_DEBUG, "IDE: %s: %s\n", "Primary IDE interface",
+	printk(DEBUG, "IDE: %s: %s\n", "Primary IDE interface",
 		     conf->ide0_enable ? "on" : "off");
 
 	/* Enable/disable the secondary IDE interface. */
 	reg16 = pci_read_config16(dev, IDETIM_SEC);
 	reg16 = ONOFF(conf->ide1_enable, reg16, IDE_DECODE_ENABLE);
 	pci_write_config16(dev, IDETIM_SEC, reg16);
-	printk(BIOS_DEBUG, "IDE: %s: %s\n", "Secondary IDE interface",
+	printk(DEBUG, "IDE: %s: %s\n", "Secondary IDE interface",
 		     conf->ide1_enable ? "on" : "off");
 
 	/* Enable access to the legacy IDE ports (both primary and secondary),
@@ -67,7 +67,7 @@ static void ide_init_enable(struct devic
 		reg16 = ONOFF(conf->ide_legacy_enable, reg16,
 			      (PCI_COMMAND_IO | PCI_COMMAND_MASTER));
 		pci_write_config16(dev, PCI_COMMAND, reg16);
-		printk(BIOS_DEBUG, "IDE: Access to legacy IDE ports: %s\n",
+		printk(DEBUG, "IDE: Access to legacy IDE ports: %s\n",
 			     conf->ide_legacy_enable ? "on" : "off");
 	}
 }
@@ -96,10 +96,10 @@ static void ide_init_udma33(struct devic
 		reg8 = ONOFF(conf->ide0_drive1_udma33_enable, reg8, PSDE1);
 		pci_write_config8(dev, UDMACTL, reg8);
 
-		printk(BIOS_DEBUG, "IDE: %s, drive %d: UDMA/33: %s\n",
+		printk(DEBUG, "IDE: %s, drive %d: UDMA/33: %s\n",
 			     "Primary IDE interface", 0,
 			     conf->ide0_drive0_udma33_enable ? "on" : "off");
-		printk(BIOS_DEBUG, "IDE: %s, drive %d: UDMA/33: %s\n",
+		printk(DEBUG, "IDE: %s, drive %d: UDMA/33: %s\n",
 			     "Primary IDE interface", 1,
 			     conf->ide0_drive1_udma33_enable ? "on" : "off");
 	}
@@ -111,10 +111,10 @@ static void ide_init_udma33(struct devic
 		reg8 = ONOFF(conf->ide1_drive1_udma33_enable, reg8, SSDE1);
 		pci_write_config8(dev, UDMACTL, reg8);
 
-		printk(BIOS_DEBUG, "IDE: %s, drive %d: UDMA/33: %s\n",
+		printk(DEBUG, "IDE: %s, drive %d: UDMA/33: %s\n",
 			     "Secondary IDE interface", 0,
 			     conf->ide1_drive0_udma33_enable ? "on" : "off");
-		printk(BIOS_DEBUG, "IDE: %s, drive %d: UDMA/33: %s\n",
+		printk(DEBUG, "IDE: %s, drive %d: UDMA/33: %s\n",
 			     "Secondary IDE interface", 1,
 			     conf->ide1_drive1_udma33_enable ? "on" : "off");
 	}
Index: svn/src/southbridge/intel/i82801ax/i82801ax_ide.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801ax/i82801ax_ide.c
+++ svn/src/southbridge/intel/i82801ax/i82801ax_ide.c
@@ -43,9 +43,9 @@ static void ide_init(struct device *dev)
 	if (!config || config->ide0_enable) {
 		/* Enable primary IDE interface. */
 		ideTimingConfig |= IDE_DECODE_ENABLE;
-		printk(BIOS_DEBUG, "IDE0: Primary IDE interface is enabled\n");
+		printk(DEBUG, "IDE0: Primary IDE interface is enabled\n");
 	} else {
-		printk(BIOS_INFO, "IDE0: Primary IDE interface is disabled\n");
+		printk(INFO, "IDE0: Primary IDE interface is disabled\n");
 	}
 	pci_write_config16(dev, IDE_TIM_PRI, ideTimingConfig);
 
@@ -54,9 +54,9 @@ static void ide_init(struct device *dev)
 	if (!config || config->ide1_enable) {
 		/* Enable secondary IDE interface. */
 		ideTimingConfig |= IDE_DECODE_ENABLE;
-		printk(BIOS_DEBUG, "IDE1: Secondary IDE interface is enabled\n");
+		printk(DEBUG, "IDE1: Secondary IDE interface is enabled\n");
 	} else {
-		printk(BIOS_INFO, "IDE1: Secondary IDE interface is disabled\n");
+		printk(INFO, "IDE1: Secondary IDE interface is disabled\n");
 	}
 	pci_write_config16(dev, IDE_TIM_SEC, ideTimingConfig);
 }
Index: svn/src/southbridge/intel/i82801ax/i82801ax_lpc.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801ax/i82801ax_lpc.c
+++ svn/src/southbridge/intel/i82801ax/i82801ax_lpc.c
@@ -92,14 +92,14 @@ static void i82801ax_enable_apic(struct 
 	reg32 |= (1 << 1);	/* Delayed transaction enable */
 	reg32 |= (1 << 2);	/* DMA collection buffer enable */
 	pci_write_config32(dev, GEN_CNTL, reg32);
-	printk(BIOS_DEBUG, "IOAPIC Southbridge enabled %x\n", reg32);
+	printk(DEBUG, "IOAPIC Southbridge enabled %x\n", reg32);
 
 	*ioapic_index = 0;
 	*ioapic_data = (1 << 25);
 
 	*ioapic_index = 0;
 	reg32 = *ioapic_data;
-	printk(BIOS_DEBUG, "Southbridge APIC ID = %x\n", reg32);
+	printk(DEBUG, "Southbridge APIC ID = %x\n", reg32);
 	if (reg32 != (1 << 25))
 		die("APIC Error\n");
 
@@ -189,7 +189,7 @@ static void i82801ax_power_options(devic
 	 * 1 == S5 Soft Off
 	 */
 	pci_write_config8(dev, GEN_PMCON_3, pwr_on ? 0 : 1);
-	printk(BIOS_INFO, "Set power %s if power fails\n", pwr_on ? "on" : "off");
+	printk(INFO, "Set power %s if power fails\n", pwr_on ? "on" : "off");
 
 	/* Set up NMI on errors. */
 	byte = inb(0x61);
Index: svn/src/southbridge/intel/i82801ax/i82801ax_usb_ehci.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801ax/i82801ax_usb_ehci.c
+++ svn/src/southbridge/intel/i82801ax/i82801ax_usb_ehci.c
@@ -30,11 +30,11 @@ static void usb_ehci_init(struct device 
 	/* TODO: Is any special init really needed? */
 	uint32_t cmd;
 
-	printk(BIOS_DEBUG, "EHCI: Setting up controller.. ");
+	printk(DEBUG, "EHCI: Setting up controller.. ");
 	cmd = pci_read_config32(dev, PCI_COMMAND);
 	pci_write_config32(dev, PCI_COMMAND, cmd | PCI_COMMAND_MASTER);
 
-	printk(BIOS_DEBUG, "done.\n");
+	printk(DEBUG, "done.\n");
 }
 
 static void usb_ehci_set_subsystem(device_t dev, unsigned vendor,
Index: svn/src/southbridge/intel/i82801ax/i82801ax_watchdog.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801ax/i82801ax_watchdog.c
+++ svn/src/southbridge/intel/i82801ax/i82801ax_watchdog.c
@@ -51,5 +51,5 @@ void watchdog_off(void)
 	outw(0x0008, base + 0x04);
 	outw(0x0002, base + 0x06);
 
-	printk(BIOS_DEBUG, "ICH Watchdog disabled\n");
+	printk(DEBUG, "ICH Watchdog disabled\n");
 }
Index: svn/src/southbridge/intel/i82801bx/i82801bx_ide.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801bx/i82801bx_ide.c
+++ svn/src/southbridge/intel/i82801bx/i82801bx_ide.c
@@ -43,9 +43,9 @@ static void ide_init(struct device *dev)
 	if (!config || config->ide0_enable) {
 		/* Enable primary IDE interface. */
 		ideTimingConfig |= IDE_DECODE_ENABLE;
-		printk(BIOS_DEBUG, "IDE0: Primary IDE interface is enabled\n");
+		printk(DEBUG, "IDE0: Primary IDE interface is enabled\n");
 	} else {
-		printk(BIOS_INFO, "IDE0: Primary IDE interface is disabled\n");
+		printk(INFO, "IDE0: Primary IDE interface is disabled\n");
 	}
 	pci_write_config16(dev, IDE_TIM_PRI, ideTimingConfig);
 
@@ -54,9 +54,9 @@ static void ide_init(struct device *dev)
 	if (!config || config->ide1_enable) {
 		/* Enable secondary IDE interface. */
 		ideTimingConfig |= IDE_DECODE_ENABLE;
-		printk(BIOS_DEBUG, "IDE1: Secondary IDE interface is enabled\n");
+		printk(DEBUG, "IDE1: Secondary IDE interface is enabled\n");
 	} else {
-		printk(BIOS_INFO, "IDE1: Secondary IDE interface is disabled\n");
+		printk(INFO, "IDE1: Secondary IDE interface is disabled\n");
 	}
 	pci_write_config16(dev, IDE_TIM_SEC, ideTimingConfig);
 }
Index: svn/src/southbridge/intel/i82801bx/i82801bx_lpc.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801bx/i82801bx_lpc.c
+++ svn/src/southbridge/intel/i82801bx/i82801bx_lpc.c
@@ -92,14 +92,14 @@ void i82801bx_enable_apic(struct device 
 	reg32 |= (1 << 1);	/* Delayed transaction enable */
 	reg32 |= (1 << 2);	/* DMA collection buffer enable */
 	pci_write_config32(dev, GEN_CNTL, reg32);
-	printk(BIOS_DEBUG, "IOAPIC Southbridge enabled %x\n", reg32);
+	printk(DEBUG, "IOAPIC Southbridge enabled %x\n", reg32);
 
 	*ioapic_index = 0;
 	*ioapic_data = (1 << 25);
 
 	*ioapic_index = 0;
 	reg32 = *ioapic_data;
-	printk(BIOS_DEBUG, "Southbridge APIC ID = %x\n", reg32);
+	printk(DEBUG, "Southbridge APIC ID = %x\n", reg32);
 	if (reg32 != (1 << 25))
 		die("APIC Error\n");
 
@@ -189,7 +189,7 @@ static void i82801bx_power_options(devic
 	 * 1 == S5 Soft Off
 	 */
 	pci_write_config8(dev, GEN_PMCON_3, pwr_on ? 0 : 1);
-	printk(BIOS_INFO, "Set power %s if power fails\n", pwr_on ? "on" : "off");
+	printk(INFO, "Set power %s if power fails\n", pwr_on ? "on" : "off");
 
 	/* Set up NMI on errors. */
 	byte = inb(0x61);
Index: svn/src/southbridge/intel/i82801bx/i82801bx_usb_ehci.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801bx/i82801bx_usb_ehci.c
+++ svn/src/southbridge/intel/i82801bx/i82801bx_usb_ehci.c
@@ -30,11 +30,11 @@ static void usb_ehci_init(struct device 
 	/* TODO: Is any special init really needed? */
 	uint32_t cmd;
 
-	printk(BIOS_DEBUG, "EHCI: Setting up controller.. ");
+	printk(DEBUG, "EHCI: Setting up controller.. ");
 	cmd = pci_read_config32(dev, PCI_COMMAND);
 	pci_write_config32(dev, PCI_COMMAND, cmd | PCI_COMMAND_MASTER);
 
-	printk(BIOS_DEBUG, "done.\n");
+	printk(DEBUG, "done.\n");
 }
 
 static void usb_ehci_set_subsystem(device_t dev, unsigned vendor,
Index: svn/src/southbridge/intel/i82801bx/i82801bx_watchdog.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801bx/i82801bx_watchdog.c
+++ svn/src/southbridge/intel/i82801bx/i82801bx_watchdog.c
@@ -50,5 +50,5 @@ void watchdog_off(void)
 	outw(0x0008, base + 0x04);
 	outw(0x0002, base + 0x06);
 
-	printk(BIOS_DEBUG, "ICH Watchdog disabled\n");
+	printk(DEBUG, "ICH Watchdog disabled\n");
 }
Index: svn/src/southbridge/intel/i82801cx/i82801cx_ide.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801cx/i82801cx_ide.c
+++ svn/src/southbridge/intel/i82801cx/i82801cx_ide.c
@@ -18,7 +18,7 @@ static void ide_init(struct device *dev)
 	if (enable_primary) {
 		/* Enable first ide interface */
 		ideTimingConfig |= IDE_DECODE_ENABLE;
-		printk(BIOS_DEBUG, "IDE0 ");
+		printk(DEBUG, "IDE0 ");
 	}
 	pci_write_config16(dev, IDE_TIM_PRI, ideTimingConfig);
 
@@ -27,7 +27,7 @@ static void ide_init(struct device *dev)
     if (enable_secondary) {
 		/* Enable secondary ide interface */
         ideTimingConfig |= IDE_DECODE_ENABLE;
-        printk(BIOS_DEBUG, "IDE1 ");
+        printk(DEBUG, "IDE1 ");
 	}
     pci_write_config16(dev, IDE_TIM_SEC, ideTimingConfig);
 }
Index: svn/src/southbridge/intel/i82801cx/i82801cx_lpc.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801cx/i82801cx_lpc.c
+++ svn/src/southbridge/intel/i82801cx/i82801cx_lpc.c
@@ -35,7 +35,7 @@ void i82801cx_enable_ioapic( struct devi
     dword |= (1 << 1); /* delay transaction enable */
     dword |= (1 << 2); /* DMA collection buf enable */
     pci_write_config32(dev, GEN_CNTL, dword);
-    printk(BIOS_DEBUG, "ioapic southbridge enabled %x\n",dword);
+    printk(DEBUG, "ioapic southbridge enabled %x\n",dword);
         
     // Must program the APIC's ID before using it
 
@@ -45,7 +45,7 @@ void i82801cx_enable_ioapic( struct devi
     // Hang if the ID didn't take (chip not present?)
     *ioapic_index = 0;
     dword = *ioapic_data;
-    printk(BIOS_DEBUG, "Southbridge apic id = %x\n", (dword>>24) & 0xF);
+    printk(DEBUG, "Southbridge apic id = %x\n", (dword>>24) & 0xF);
     if(dword != (2<<24))
 		die("");
 
@@ -105,7 +105,7 @@ void i82801cx_rtc_init(struct device *de
 		pmcon3 |= SLEEP_AFTER_POWER_FAIL;
 	}
 	pci_write_config8(dev, GEN_PMCON_3, pmcon3);
-	printk(BIOS_INFO, "set power %s after power fail\n", 
+	printk(INFO, "set power %s after power fail\n",
 				 pwr_on ? "on" : "off");
 
     // See if the Safe Mode jumper is set
@@ -177,7 +177,7 @@ static void lpc_init(struct device *dev)
     else
     	byte |= 1;		// Return to S5
     pci_write_config8(dev, GEN_PMCON_3, byte);
-    printk(BIOS_INFO, "set power %s after power fail\n", pwr_on?"on":"off");
+    printk(INFO, "set power %s after power fail\n", pwr_on?"on":"off");
 
     /* Set up NMI on errors */
     byte = inb(0x61);
Index: svn/src/southbridge/intel/i82801cx/i82801cx_usb.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801cx/i82801cx_usb.c
+++ svn/src/southbridge/intel/i82801cx/i82801cx_usb.c
@@ -10,14 +10,14 @@ static void usb_init(struct device *dev)
 
 #if 0
 	uint32_t cmd;
-	printk(BIOS_DEBUG, "USB: Setting up controller.. ");
+	printk(DEBUG, "USB: Setting up controller.. ");
 	cmd = pci_read_config32(dev, PCI_COMMAND);
 	pci_write_config32(dev, PCI_COMMAND, 
 		cmd | PCI_COMMAND_IO | PCI_COMMAND_MEMORY | 
 		PCI_COMMAND_MASTER | PCI_COMMAND_INVALIDATE);
 
 
-	printk(BIOS_DEBUG, "done.\n");
+	printk(DEBUG, "done.\n");
 #endif
 
 }
Index: svn/src/southbridge/intel/i82801dx/i82801dx_ac97.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801dx/i82801dx_ac97.c
+++ svn/src/southbridge/intel/i82801dx/i82801dx_ac97.c
@@ -101,7 +101,7 @@ static int ac97_semaphore(void)
 		timeout--;
 	} while ((reg8 & 1) && timeout);
 	if (! timeout) {
-		printk(BIOS_DEBUG, "Timeout!\n");
+		printk(DEBUG, "Timeout!\n");
 	}
 
 	return (!timeout);
@@ -123,7 +123,7 @@ static void ac97_audio_init(struct devic
 	u32 reg32;
 	int i;
 
-	printk(BIOS_DEBUG, "Initializing AC'97 Audio.\n");
+	printk(DEBUG, "Initializing AC'97 Audio.\n");
 
 	/* top 16 bits are zero, so don't read them */
 	nabmbar = pci_read_config16(dev, NABMBAR) & 0xfffe;
@@ -142,7 +142,7 @@ static void ac97_audio_init(struct devic
 	reg32 = inl(nabmbar + GLOB_STA);
 	if ((reg32 & ((1 << 28) | (1 << 9) | (1 << 8))) == 0) {
 		/* Primary Codec not found */
-		printk(BIOS_DEBUG, "No primary codec. Disabling AC'97 Audio.\n");
+		printk(DEBUG, "No primary codec. Disabling AC'97 Audio.\n");
 		return;
 	}
 
@@ -152,7 +152,7 @@ static void ac97_audio_init(struct devic
 	outw(0x8000, nambar + MASTER_VOL);
 	ac97_semaphore();
 	if (inw(nambar + MASTER_VOL) != 0x8000) {
-		printk(BIOS_DEBUG, "Codec not programmable. Disabling AC'97 Audio.\n");
+		printk(DEBUG, "Codec not programmable. Disabling AC'97 Audio.\n");
 		return;
 	}
 
Index: svn/src/southbridge/intel/i82801dx/i82801dx_ide.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801dx/i82801dx_ide.c
+++ svn/src/southbridge/intel/i82801dx/i82801dx_ide.c
@@ -40,9 +40,9 @@ static void ide_init(struct device *dev)
 	if (!config || config->ide0_enable) {
 		/* Enable primary IDE interface. */
 		ideTimingConfig |= IDE_DECODE_ENABLE;
-		printk(BIOS_DEBUG, "IDE0: Primary IDE interface is enabled\n");
+		printk(DEBUG, "IDE0: Primary IDE interface is enabled\n");
 	} else {
-		printk(BIOS_INFO, "IDE0: Primary IDE interface is disabled\n");
+		printk(INFO, "IDE0: Primary IDE interface is disabled\n");
 	}
 	pci_write_config16(dev, IDE_TIM_PRI, ideTimingConfig);
 
@@ -51,9 +51,9 @@ static void ide_init(struct device *dev)
 	if (!config || config->ide1_enable) {
 		/* Enable secondary IDE interface. */
 		ideTimingConfig |= IDE_DECODE_ENABLE;
-		printk(BIOS_DEBUG, "IDE1: Secondary IDE interface is enabled\n");
+		printk(DEBUG, "IDE1: Secondary IDE interface is enabled\n");
 	} else {
-		printk(BIOS_INFO, "IDE1: Secondary IDE interface is disabled\n");
+		printk(INFO, "IDE1: Secondary IDE interface is disabled\n");
 	}
 	pci_write_config16(dev, IDE_TIM_SEC, ideTimingConfig);
 }
